Avaya Client Services API Reference (iOS)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSUserConfiguration Class Reference

Configuration information for a `CSUser`. More...

`#import <CSUserConfiguration.h>`

Inherits NSObject.

## Properties
CSSIPUserConfiguration * | SIPUserConfiguration
| Configuration information for the user's SIP provider. More...
CSHTTPUserConfiguration * | HTTPUserConfiguration
| Configuration information for the user's HTTP provider. More...
CSAMMConfiguration * | AMMConfiguration
| Configuration information for the user's AMM provider. More...
CSACSConfiguration * | ACSConfiguration
| Configuration information for the user's ACS provider. More...
CSAvayaMessagingConfiguration * | AvayaMessagingConfiguration
| Configuration information for the user's Avaya Messaging provider. More...
CSCESConfiguration * | CESConfiguration
| Configuration information for the user's CES provider. More...
CSLDAPConfiguration * | LDAPConfiguration
| Configuration information for the user's LDAP provider. More...
CSDialingRulesConfiguration * | dialingRulesConfiguration
| Configuration information for the user's Dialing Rules provider. More...
CSConferenceConfiguration * | conferenceConfiguration
| Configuration information for the user's Conference provider. More...
CSPPMConfiguration * | PPMConfiguration
| Configuration information for the user's PPM server. More...
CSPushNotificationConfiguration * | pushNotificationConfiguration
| Configuration for the user's push notification provider. More...
CSSimRingCallbackConfiguration * | simRingCallbackConfiguration
| User's callback / simultaneous ring feature configuration. More...
CSEC500Configuration * | EC500Configuration
| Configuration information for the user's EC500 provider. More...
CSWCSConfiguration * | WCSConfiguration
| Configuration information for the user's WCS provider. More...
CSBFCPConfiguration * | BFCPConfiguration
| BFCP Configuration information. More...
CSLocalContactConfiguration * | localContactConfiguration
| Configuration information for the user's Local Contact provider. More...
CSPresenceConfiguration * | presenceConfiguration
| Presence configuration settings. More...
CSVideoUserConfiguration * | videoUserConfiguration
| Video configuration settings. More...
CSZangConfiguration * | zangConfiguration
| Zang configuration settings. More...
CSIPOfficeConfiguration * | IPOfficeConfiguration
| IP Office configuration settings. More...
CSMessagingConfiguration * | messagingConfiguration
| Messaging configuration settings. More...
CSAgentConfiguration * | agentConfiguration
| Agent service configuration settings. More...
NSURL * | localCallLogFilePath
| Set full file path to the file in which local user's call logs are to be persisted. More...
BOOL | externalAppInterfaceEnabled
| Controls whether or not the external app interface is available. More...
BOOL | bandwidthRegulationEnabled
| Enable or disable bandwidth regulation. More...

## Detailed Description

Configuration information for a `CSUser`.

## Property Documentation

- (CSACSConfiguration*) ACSConfiguration
| read write nonatomic strong

Configuration information for the user's ACS provider.

- (CSAgentConfiguration*) agentConfiguration
| read write nonatomic strong

Agent service configuration settings.

- (CSAMMConfiguration*) AMMConfiguration
| read write nonatomic strong

Configuration information for the user's AMM provider.

- (CSAvayaMessagingConfiguration*) AvayaMessagingConfiguration
| read write nonatomic strong

Configuration information for the user's Avaya Messaging provider.

- (BOOL) bandwidthRegulationEnabled
| read write nonatomic assign

Enable or disable bandwidth regulation.

- (CSBFCPConfiguration*) BFCPConfiguration
| read write nonatomic strong

BFCP Configuration information.

- (CSCESConfiguration*) CESConfiguration
| read write nonatomic strong

Configuration information for the user's CES provider.

- (CSConferenceConfiguration*) conferenceConfiguration
| read write nonatomic strong

Configuration information for the user's Conference provider.

- (CSDialingRulesConfiguration*) dialingRulesConfiguration
| read write nonatomic strong

Configuration information for the user's Dialing Rules provider.

- (CSEC500Configuration*) EC500Configuration
| read write nonatomic strong

Configuration information for the user's EC500 provider.

- (BOOL) externalAppInterfaceEnabled
| read write nonatomic assign

Controls whether or not the external app interface is available.

- (CSHTTPUserConfiguration*) HTTPUserConfiguration
| read write nonatomic strong

Configuration information for the user's HTTP provider.

- (CSIPOfficeConfiguration*) IPOfficeConfiguration
| read write nonatomic strong

IP Office configuration settings.

- (CSLDAPConfiguration*) LDAPConfiguration
| read write nonatomic strong

Configuration information for the user's LDAP provider.

- (NSURL*) localCallLogFilePath
| read write nonatomic strong

Set full file path to the file in which local user's call logs are to be persisted.

This path is provided by the UI/client that is aware of the appropriate directory applicable for such platform dependent storage location. If invalid path is provided, the call log items will not be persisted, but will be updated in the cache during runtime only.

- (CSLocalContactConfiguration*) localContactConfiguration
| read write nonatomic strong

Configuration information for the user's Local Contact provider.

- (CSMessagingConfiguration*) messagingConfiguration
| read write nonatomic strong

Messaging configuration settings.

- (CSPPMConfiguration*) PPMConfiguration
| read write nonatomic strong

Configuration information for the user's PPM server.

If this information is nil (the default), then the initial SIP proxy server address from the SipUserConfiguration as the PPM server address.

- (CSPresenceConfiguration*) presenceConfiguration
| read write nonatomic strong

Presence configuration settings.

- (CSPushNotificationConfiguration*) pushNotificationConfiguration
| read write nonatomic strong

Configuration for the user's push notification provider.

- (CSSimRingCallbackConfiguration*) simRingCallbackConfiguration
| read write nonatomic strong

User's callback / simultaneous ring feature configuration.

- (CSSIPUserConfiguration*) SIPUserConfiguration
| read write nonatomic strong

Configuration information for the user's SIP provider.

- (CSVideoUserConfiguration*) videoUserConfiguration
| read write nonatomic strong

Video configuration settings.

- (CSWCSConfiguration*) WCSConfiguration
| read write nonatomic strong

Configuration information for the user's WCS provider.

- (CSZangConfiguration*) zangConfiguration
| read write nonatomic strong

Zang configuration settings.

The documentation for this class was generated from the following file:

- CSUserConfiguration.h